{% import "bootstrap/utils.html" as utils %}
{% extends "base.html" %}
{% block body %}
    <div class="container">
        {{ utils.flashed_messages() }}
        <div class="card shadow mb-4">
            <!-- Card Header - Dropdown -->
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-center">
                <h1>{{ title }}</h1>
            </div>
            <div class="card-body">
                {% if customers %}
                    <table class="table table-striped table-bordered">
                        <thead>
                        <tr>
                            <th> First Name</th>
                            <th> Last Name</th>
                            <th> Edit</th>
                            <th> Delete</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for customer in customers %}
                            <tr>
                                <td><a href="{{ url_for('admin.list_customer_details', id=customer.id) }}">
                                    {{ customer.first_name }}
                                </a></td>
                                <td> {{ customer.last_name }} </td>
                                <td>
                                    <a href="{{ url_for('admin.edit_customer', id=customer.id) }}">
                                        <i class="fa fa-pencil"></i> Edit
                                    </a>
                                </td>
                                <td>
                                    <a href="{{ url_for('admin.delete_customer', id=customer.id) }}">
                                        <i class="fa fa-trash"></i> Delete
                                    </a>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                {% else %}
                    <div style="text-align: center">
                        <h3> No customers have been added. </h3>
                        <hr>
                    </div>
                {% endif %}
                <div style="text-align: center">
                    <a href="{{ url_for('admin.add_customer') }}" class="btn btn-default btn-lg">
                        <i class="fa-solid fa-plus"></i>
                        Add Customer
                    </a>
                </div>
            </div>
        </div>
    </div>

{% endblock %}
